# Crate panic_halt

source ·
Expand description

Set the panicking behavior to halt

This crate contains an implementation of `panic_fmt` that simply halt in an infinite loop.

## Usage

ⓘ

    #![no_std]

    extern crate panic_halt;

    fn main() {
        panic!("argument is ignored");
    }

## Breakable symbols

With the panic handler being `#[inline(never)]` the symbol `rust_begin_unwind` will be available to place a breakpoint on to halt when a panic is happening.